diff --git a/libpurple/countingnode.h b/libpurple/countingnode.h
--- a/libpurple/countingnode.h
+++ b/libpurple/countingnode.h
@@ -60,7 +60,7 @@
  *
  * See #PurpleContact, #PurpleGroup
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 struct _PurpleCountingNode {
 	PurpleBlistNode node;
@@ -83,7 +83,7 @@
  *
  * Returns: The #GType for the #PurpleCountingNode object.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GType purple_counting_node_get_type(void);
@@ -96,7 +96,7 @@
  *
  * Returns:  The total number of children of the node
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 int purple_counting_node_get_total_size(PurpleCountingNode *counter);
@@ -110,7 +110,7 @@
  *
  * Returns:  The number of children with online accounts
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 int purple_counting_node_get_current_size(PurpleCountingNode *counter);
@@ -123,7 +123,7 @@
  *
  * Returns:  The total number of online children
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 int purple_counting_node_get_online_count(PurpleCountingNode *counter);
@@ -137,7 +137,7 @@
  * delta value is added to the count, or if it's negative, the count is
  * decreased.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_counting_node_change_total_size(PurpleCountingNode *counter, int delta);
@@ -151,7 +151,7 @@
  * accounts. The provided delta value is added to the count, or if it's
  * negative, the count is decreased.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_counting_node_change_current_size(PurpleCountingNode *counter, int delta);
@@ -165,7 +165,7 @@
  * provided delta value is added to the count, or if it's negative, the count is
  * decreased.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_counting_node_change_online_count(PurpleCountingNode *counter, int delta);
@@ -177,7 +177,7 @@
  *
  * Sets the total number of children of the counting node.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_counting_node_set_total_size(PurpleCountingNode *counter, int totalsize);
@@ -190,7 +190,7 @@
  * Sets the number of children of the counting node corresponding to online
  * accounts.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_counting_node_set_current_size(PurpleCountingNode *counter, int currentsize);
@@ -202,7 +202,7 @@
  *
  * Sets the number of children of the counting node that are online.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_counting_node_set_online_count(PurpleCountingNode *counter, int onlinecount);
diff --git a/libpurple/debug.h b/libpurple/debug.h
--- a/libpurple/debug.h
+++ b/libpurple/debug.h
@@ -47,7 +47,7 @@
  *
  * Available debug levels.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef enum {
 	PURPLE_DEBUG_ALL = 0,
@@ -70,7 +70,7 @@
  *
  * Outputs debug information.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_debug(PurpleDebugLevel level, const gchar *category, const gchar *format, ...) G_GNUC_PRINTF(3, 4);
@@ -88,7 +88,7 @@
  *
  * See purple_debug().
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_debug_misc(const gchar *category, const gchar *format, ...) G_GNUC_PRINTF(2, 3);
@@ -106,7 +106,7 @@
  *
  * See purple_debug().
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_debug_info(const gchar *category, const gchar *format, ...) G_GNUC_PRINTF(2, 3);
@@ -124,7 +124,7 @@
  *
  * See purple_debug().
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_debug_warning(const gchar *category, const gchar *format, ...) G_GNUC_PRINTF(2, 3);
@@ -142,7 +142,7 @@
  *
  * See purple_debug().
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_debug_error(const gchar *category, const gchar *format, ...) G_GNUC_PRINTF(2, 3);
@@ -160,7 +160,7 @@
  *
  * See purple_debug().
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_debug_fatal(const gchar *category, const gchar *format, ...) G_GNUC_PRINTF(2, 3);
@@ -173,7 +173,7 @@
  * by purple_debug_init(), but there are cases where this can be useful for
  * plugins.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void purple_debug_set_verbose(gboolean verbose);
@@ -185,7 +185,7 @@
  *
  * Returns: %TRUE if verbose debugging is enabled, %FALSE if it is not.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 gboolean purple_debug_is_verbose(void);
@@ -200,7 +200,7 @@
  * purple_debug_init(), but there are cases where this can be useful for
  * plugins.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void purple_debug_set_unsafe(gboolean unsafe);
@@ -214,7 +214,7 @@
  *          messages that could potentially contain passwords and other
  *          sensitive information are not logged.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 gboolean purple_debug_is_unsafe(void);
@@ -228,7 +228,7 @@
  *
  * Initializes the debug subsystem.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_debug_init(void);
diff --git a/libpurple/eventloop.h b/libpurple/eventloop.h
--- a/libpurple/eventloop.h
+++ b/libpurple/eventloop.h
@@ -39,7 +39,7 @@
  *
  * An input condition.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef enum
 {
@@ -59,7 +59,7 @@
  * purple_input_add(), the file descriptor on which the event occurred, and the
  * condition that was satisfied to cause the callback to be invoked.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef void (*PurpleInputFunction)(gpointer data, gint fd, PurpleInputCondition cond);
 
@@ -82,7 +82,7 @@
  *
  * Returns: The resulting handle (will be greater than 0).
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 guint purple_input_add(int fd, PurpleInputCondition cond, PurpleInputFunction func, gpointer user_data);
@@ -103,7 +103,7 @@
  *
  * Returns: 0 on success, -1 on error.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 int
diff --git a/libpurple/group.h b/libpurple/group.h
--- a/libpurple/group.h
+++ b/libpurple/group.h
@@ -54,7 +54,7 @@
  * A group is a counting node, which means it keeps track of the counts of the
  * chats and contacts under this group.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 struct _PurpleGroup {
 	PurpleCountingNode counting;
@@ -81,7 +81,7 @@
  *
  * Returns: The #GType for the #PurpleGroup object.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GType purple_group_get_type(void);
@@ -97,7 +97,7 @@
  *
  * Returns: A new group struct
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleGroup *purple_group_new(const char *name);
@@ -111,7 +111,7 @@
  * Returns: (element-type PurpleAccount) (transfer container): A list of
  *          accounts, or %NULL if the group has no accounts.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 GSList *purple_group_get_accounts(PurpleGroup *g);
@@ -125,7 +125,7 @@
  *
  * Returns: TRUE if there are any buddies in the group, or FALSE otherwise.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 gboolean purple_group_on_account(PurpleGroup *g, PurpleAccount *account);
@@ -137,7 +137,7 @@
  *
  * Sets the name of a group.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_group_set_name(PurpleGroup *group, const char *name);
@@ -150,7 +150,7 @@
  *
  * Returns: The name of the group.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_group_get_name(PurpleGroup *group);
diff --git a/libpurple/idle.h b/libpurple/idle.h
--- a/libpurple/idle.h
+++ b/libpurple/idle.h
@@ -46,7 +46,7 @@
  * 'active'.  The conversation code calls this when the
  * user sends an IM, for example.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_idle_touch(void);
@@ -58,7 +58,7 @@
  * accounts purportedly became idle.  This is used by
  * the I'dle Mak'er plugin.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_idle_set(time_t time);
@@ -73,7 +73,7 @@
  *
  * Sets the user interface idle reporter.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_idle_set_ui(PurpleIdleUi *ui);
@@ -86,7 +86,7 @@
  * Returns: (transfer none): The [iface@IdleUi] that is currently in use or
  *          %NULL if no idle reporter is available.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleIdleUi *purple_idle_get_ui(void);
@@ -96,7 +96,7 @@
  *
  * Initializes the idle system.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_idle_init(void);
@@ -106,7 +106,7 @@
  *
  * Uninitializes the idle system.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_idle_uninit(void);
diff --git a/libpurple/image-store.h b/libpurple/image-store.h
--- a/libpurple/image-store.h
+++ b/libpurple/image-store.h
@@ -65,7 +65,7 @@
  *
  * Returns: the unique identifier for the @image.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 guint
@@ -82,7 +82,7 @@
  *
  * Returns: the unique identifier for the @image.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 guint
@@ -102,7 +102,7 @@
  *
  * Returns: the unique identifier for the @image.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 guint
@@ -117,7 +117,7 @@
  * Returns: (transfer none): the image referenced by @id, or %NULL if it
  *          doesn't exists.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleImage *
@@ -136,7 +136,7 @@
  * Returns: (transfer none): the image referenced by @uri, or %NULL if it
  *          doesn't point to any valid image.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleImage *
@@ -152,7 +152,7 @@
  * Returns: (transfer full): the URI for the @image. Should be #g_free'd when
  * you done using it.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gchar *
@@ -163,7 +163,7 @@
  *
  * Initializes the image store subsystem.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 G_GNUC_INTERNAL
 void
@@ -174,7 +174,7 @@
  *
  * Uninitializes the image store subsystem.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 G_GNUC_INTERNAL
 void
diff --git a/libpurple/image.h b/libpurple/image.h
--- a/libpurple/image.h
+++ b/libpurple/image.h
@@ -56,7 +56,7 @@
  * filenames (not necessarily real filename for displaying); remote images
  * (which data is not yet loaded) or guessing file format from its header.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_DERIVABLE_TYPE(PurpleImage, purple_image, PURPLE, IMAGE, GObject)
@@ -69,7 +69,7 @@
  *
  * Returns: the new #PurpleImage.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleImage *purple_image_new_from_bytes(GBytes *bytes);
@@ -86,7 +86,7 @@
  *
  * Returns: the new #PurpleImage.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleImage *purple_image_new_from_file(const gchar *path, GError **error);
@@ -103,7 +103,7 @@
  *
  * Returns: the new #PurpleImage.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleImage *purple_image_new_from_data(const guint8 *data, gsize length);
@@ -120,7 +120,7 @@
  *
  * Returns: the new #PurpleImage.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleImage *purple_image_new_take_data(guint8 *data, gsize length);
@@ -134,7 +134,7 @@
  *
  * Returns: %TRUE if succeeded, %FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_image_save(PurpleImage *image, const gchar *path);
@@ -147,7 +147,7 @@
  *
  * Returns: (transfer full): A #GBytes containing the image data.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GBytes *purple_image_get_contents(PurpleImage *image);
@@ -162,7 +162,7 @@
  *
  * Returns: the physical path of the @image, or %NULL.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_image_get_path(PurpleImage *image);
@@ -175,7 +175,7 @@
  *
  * Returns: the size of data, or 0 in case of failure.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gsize purple_image_get_data_size(PurpleImage *image);
@@ -188,7 +188,7 @@
  *
  * Returns: (transfer none): the @image data.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gconstpointer purple_image_get_data(PurpleImage *image);
@@ -201,7 +201,7 @@
  *
  * Returns: (transfer none): the file extension suitable for @image format.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_image_get_extension(PurpleImage *image);
@@ -214,7 +214,7 @@
  *
  * Returns: (transfer none): the mime-type suitable for @image format.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_image_get_mimetype(PurpleImage *image);
@@ -229,7 +229,7 @@
  *
  * Returns: (transfer none): the generated file name.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_image_generate_filename(PurpleImage *image);
@@ -246,7 +246,7 @@
  * The provided @filename may either be a full path, or contain
  * filesystem-unfriendly characters, because it will be reformatted.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_image_set_friendly_filename(PurpleImage *image, const gchar *filename);
@@ -264,7 +264,7 @@
  *
  * Returns: (transfer none): the friendly filename.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_image_get_friendly_filename(PurpleImage *image);
diff --git a/libpurple/media-gst.h b/libpurple/media-gst.h
--- a/libpurple/media-gst.h
+++ b/libpurple/media-gst.h
@@ -42,7 +42,7 @@
  *
  * An opaque structure representing an audio/video source/sink.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_TYPE_IN_2_6
 typedef struct _PurpleMediaElementInfo PurpleMediaElementInfo;
@@ -73,7 +73,7 @@
  * @PURPLE_MEDIA_ELEMENT_SINK:         can be set as an active sink
  * @PURPLE_MEDIA_ELEMENT_APPLICATION:  supports application data
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_TYPE_IN_2_6
 typedef enum {
@@ -114,7 +114,7 @@
  *
  * Returns: (transfer none): The source retrieved.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 GstElement *purple_media_get_src(PurpleMedia *media, const gchar *sess_id);
@@ -129,7 +129,7 @@
  *
  * Returns: (transfer none): The GstTee element from the chosen session/stream.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 GstElement *purple_media_get_tee(PurpleMedia *media,
@@ -144,7 +144,7 @@
  *
  * Returns: (transfer none): The pipeline.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 GstElement *purple_media_manager_get_pipeline(PurpleMediaManager *manager);
@@ -159,7 +159,7 @@
  *
  * Returns: (transfer full): A GStreamer source or sink for audio or video.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 GstElement *purple_media_manager_get_element(PurpleMediaManager *manager,
@@ -174,7 +174,7 @@
  * Returns: (transfer container) (element-type PurpleMediaElementInfo): A #GList of registered #PurpleMediaElementInfo instances that match
  * @type.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GList *purple_media_manager_enumerate_elements(PurpleMediaManager *manager, PurpleMediaElementType type);
@@ -186,7 +186,7 @@
  *
  * Returns: (transfer full): The #PurpleMediaElementInfo for @name or NULL.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 PurpleMediaElementInfo *purple_media_manager_get_element_info(
@@ -211,7 +211,7 @@
  *
  * Returns: (transfer none): The #PurpleMediaElementInfo for @type.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 PurpleMediaElementInfo *purple_media_manager_get_active_element(
@@ -227,7 +227,7 @@
  * Useful to force negotiation of smaller picture resolution more suitable for
  * use with particular codec and communication protocol without rescaling.
  *
- * Since: 2.8.0
+ * Since: 2.8
  */
 PURPLE_AVAILABLE_IN_2_8
 void purple_media_manager_set_video_caps(PurpleMediaManager *manager,
@@ -241,7 +241,7 @@
  *
  * Returns: GstCaps limiting the video source's formats.
  *
- * Since: 2.8.0
+ * Since: 2.8
  */
 PURPLE_AVAILABLE_IN_2_8
 GstCaps *purple_media_manager_get_video_caps(PurpleMediaManager *manager);
@@ -265,7 +265,7 @@
  *
  * Returns: (transfer full): The new GstElement.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 GstElement *purple_media_element_info_call_create(
diff --git a/libpurple/media.h b/libpurple/media.h
--- a/libpurple/media.h
+++ b/libpurple/media.h
@@ -89,7 +89,7 @@
  *
  * Returns: The media class's GType.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 GType purple_media_get_type(void);
@@ -102,7 +102,7 @@
  *
  * Returns: (element-type utf8) (transfer container): List of session IDs.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 GList *purple_media_get_session_ids(PurpleMedia *media);
@@ -115,7 +115,7 @@
  *
  * Returns: (transfer full): The account retrieved.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 PurpleAccount *purple_media_get_account(PurpleMedia *media);
@@ -128,7 +128,7 @@
  *
  * Returns: The protocol data retrieved.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gpointer purple_media_get_protocol_data(PurpleMedia *media);
@@ -140,7 +140,7 @@
  *
  * Sets the protocol data on the media session.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_media_set_protocol_data(PurpleMedia *media, gpointer protocol_data);
@@ -153,7 +153,7 @@
  *
  * Signals an error in the media session.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void purple_media_error(PurpleMedia *media, const gchar *error, ...) G_GNUC_PRINTF(2, 3);
@@ -166,7 +166,7 @@
  *
  * Ends all streams that match the given parameters
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void purple_media_end(PurpleMedia *media, const gchar *session_id,
@@ -182,7 +182,7 @@
  *
  * Signals different information about the given stream.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void purple_media_stream_info(PurpleMedia *media, PurpleMediaInfoType type,
@@ -206,7 +206,7 @@
  *   - "sdes-note"     : The NOTE to put in SDES messages
  *   - "sdes-phone"    : The PHONE to put in SDES messages
  *
- * Since: 2.8.0
+ * Since: 2.8
  */
 PURPLE_AVAILABLE_IN_2_8
 void purple_media_set_params(PurpleMedia *media, GHashTable *params);
@@ -222,7 +222,7 @@
  * Returns: (array zero-terminated=1) (transfer none): Names of supported
  *          parameters.
  *
- * Since: 2.8.0
+ * Since: 2.8
  */
 PURPLE_AVAILABLE_IN_2_8
 const gchar **purple_media_get_available_params(PurpleMedia *media);
@@ -236,7 +236,7 @@
  *
  * Returns: %TRUE if backend recognizes the parameter, %FALSE otherwise.
  *
- * Since: 2.8.0
+ * Since: 2.8
  */
 PURPLE_AVAILABLE_IN_2_8
 gboolean purple_media_param_is_supported(PurpleMedia *media, const gchar *param);
@@ -259,7 +259,7 @@
  *
  * Returns: %TRUE The stream was added successfully, %FALSE otherwise.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 gboolean purple_media_add_stream(PurpleMedia *media, const gchar *sess_id,
@@ -275,7 +275,7 @@
  *
  * Returns: The retrieved session type.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 PurpleMediaSessionType purple_media_get_session_type(PurpleMedia *media, const gchar *sess_id);
@@ -288,7 +288,7 @@
  *
  * Returns: The PurpleMediaManager instance retrieved.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 struct _PurpleMediaManager *purple_media_get_manager(PurpleMedia *media);
@@ -303,7 +303,7 @@
  * Returns: (element-type PurpleMediaCodec) (transfer full): The retrieved
  *          codecs.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 GList *purple_media_get_codecs(PurpleMedia *media, const gchar *sess_id);
@@ -318,7 +318,7 @@
  *
  * Adds remote candidates to the stream.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void purple_media_add_remote_candidates(PurpleMedia *media,
@@ -337,7 +337,7 @@
  * Returns: (element-type PurpleMediaCandidate) (transfer full): The local
  *          candidates.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 GList *purple_media_get_local_candidates(PurpleMedia *media,
@@ -356,7 +356,7 @@
  * Returns: (element-type PurpleMediaCandidate) (transfer full): The active
  *          candidates retrieved.
  *
- * Since: 2.8.0
+ * Since: 2.8
  */
 PURPLE_AVAILABLE_IN_2_8
 GList *purple_media_get_active_local_candidates(PurpleMedia *media,
@@ -374,7 +374,7 @@
  * Returns: (element-type PurpleMediaCandidate) (transfer full): The remote
  *          candidates retrieved.
  *
- * Since: 2.8.0
+ * Since: 2.8
  */
 PURPLE_AVAILABLE_IN_2_8
 GList *purple_media_get_active_remote_candidates(PurpleMedia *media,
@@ -392,7 +392,7 @@
  *
  * Returns: %TRUE The codecs were set successfully, or %FALSE otherwise.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 gboolean purple_media_set_remote_codecs(PurpleMedia *media, const gchar *sess_id,
@@ -408,7 +408,7 @@
  *
  * Returns: %TRUE All streams for the given session_id/participant combination have candidates prepared, %FALSE otherwise.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 gboolean purple_media_candidates_prepared(PurpleMedia *media,
@@ -424,7 +424,7 @@
  *
  * Returns: %TRUE The codec was successfully changed, or %FALSE otherwise.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 gboolean purple_media_set_send_codec(PurpleMedia *media, const gchar *sess_id, PurpleMediaCodec *codec);
@@ -441,7 +441,7 @@
  *
  * Sets the encryption parameters of our media in the session.
  *
- * Since: 2.11.0
+ * Since: 2.11
  */
 PURPLE_AVAILABLE_IN_2_11
 gboolean purple_media_set_encryption_parameters(PurpleMedia *media,
@@ -462,7 +462,7 @@
  *
  * Sets the decryption parameters for a session participant's media.
  *
- * Since: 2.11.0
+ * Since: 2.11
  */
 PURPLE_AVAILABLE_IN_2_11
 gboolean purple_media_set_decryption_parameters(PurpleMedia *media,
@@ -479,7 +479,7 @@
  *
  * Sets whether a session participant's media requires encryption.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 PURPLE_AVAILABLE_IN_2_14
 gboolean purple_media_set_require_encryption(PurpleMedia *media,
@@ -495,7 +495,7 @@
  *
  * Returns: %TRUE The codecs are ready, or %FALSE otherwise.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 gboolean purple_media_codecs_ready(PurpleMedia *media, const gchar *sess_id);
@@ -511,7 +511,7 @@
  *
  * Returns: %TRUE RTCP-Mux was set successfully, or %FALSE otherwise.
  *
- * Since: 2.11.0
+ * Since: 2.11
  */
 PURPLE_AVAILABLE_IN_2_11
 gboolean purple_media_set_send_rtcp_mux(PurpleMedia *media,
@@ -526,7 +526,7 @@
  *
  * Returns: TRUE if the local user is the stream's initiator, else FALSE.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 gboolean purple_media_is_initiator(PurpleMedia *media,
@@ -542,7 +542,7 @@
  *
  * Returns: %TRUE The selected streams have been accepted, or %FALSE otherwise.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 gboolean purple_media_accepted(PurpleMedia *media, const gchar *sess_id,
@@ -556,7 +556,7 @@
  *
  * Sets the input volume of all the selected sessions.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void purple_media_set_input_volume(PurpleMedia *media, const gchar *session_id, double level);
@@ -570,7 +570,7 @@
  *
  * Sets the output volume of all the selected streams.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void purple_media_set_output_volume(PurpleMedia *media, const gchar *session_id,
@@ -586,7 +586,7 @@
  *
  * Returns: An id to reference the output window.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 gulong purple_media_set_output_window(PurpleMedia *media,
@@ -598,7 +598,7 @@
  *
  * Removes all output windows from a given media session.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void purple_media_remove_output_windows(PurpleMedia *media);
@@ -616,7 +616,7 @@
  *
  * Returns: %TRUE DTMF sent successfully, or %FALSE otherwise.
  *
- * Since: 2.11.0
+ * Since: 2.11
  */
 PURPLE_AVAILABLE_IN_2_11
 gboolean purple_media_send_dtmf(PurpleMedia *media, const gchar *session_id,
diff --git a/libpurple/media/backend-iface.h b/libpurple/media/backend-iface.h
--- a/libpurple/media/backend-iface.h
+++ b/libpurple/media/backend-iface.h
@@ -46,7 +46,7 @@
  *
  * A placeholder to represent any media backend
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 typedef struct _PurpleMediaBackend PurpleMediaBackend;
 
@@ -55,7 +55,7 @@
  *
  * A structure to derive media backends from.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 typedef struct _PurpleMediaBackendInterface PurpleMediaBackendInterface;
 
@@ -111,7 +111,7 @@
  *
  * Returns: The media backend's GType.
  *
- * Since: 2.7.0
+ * Since: 2.7
  */
 PURPLE_AVAILABLE_IN_2_7
 GType purple_media_backend_get_type(void);
@@ -131,7 +131,7 @@
  *
  * Returns: True if the stream was successfully created, otherwise False.
  *
- * Since: 2.7.0
+ * Since: 2.7
  */
 PURPLE_AVAILABLE_IN_2_7
 gboolean purple_media_backend_add_stream(PurpleMediaBackend *self,
@@ -147,7 +147,7 @@
  *
  * Add remote candidates to a stream.
  *
- * Since: 2.7.0
+ * Since: 2.7
  */
 PURPLE_AVAILABLE_IN_2_7
 void purple_media_backend_add_remote_candidates(PurpleMediaBackend *self,
@@ -166,7 +166,7 @@
  *
  * Returns: True if the codecs are ready, otherwise False.
  *
- * Since: 2.7.0
+ * Since: 2.7
  */
 PURPLE_AVAILABLE_IN_2_7
 gboolean purple_media_backend_codecs_ready(PurpleMediaBackend *self,
@@ -184,7 +184,7 @@
  *
  * Returns: (transfer full) (element-type PurpleMediaCodec): The codec intersection list.
  *
- * Since: 2.7.0
+ * Since: 2.7
  */
 PURPLE_AVAILABLE_IN_2_7
 GList *purple_media_backend_get_codecs(PurpleMediaBackend *self,
@@ -201,7 +201,7 @@
  * Returns: (transfer full) (element-type PurpleMediaCandidate): The list of
  *          local candidates.
  *
- * Since: 2.7.0
+ * Since: 2.7
  */
 PURPLE_AVAILABLE_IN_2_7
 GList *purple_media_backend_get_local_candidates(PurpleMediaBackend *self,
@@ -218,7 +218,7 @@
  *
  * Returns: True if the remote codecs were set successfully, otherwise False.
  *
- * Since: 2.7.0
+ * Since: 2.7
  */
 PURPLE_AVAILABLE_IN_2_7
 gboolean purple_media_backend_set_remote_codecs(PurpleMediaBackend *self,
@@ -235,7 +235,7 @@
  *
  * Returns: True if set successfully, otherwise False.
  *
- * Since: 2.7.0
+ * Since: 2.7
  */
 PURPLE_AVAILABLE_IN_2_7
 gboolean purple_media_backend_set_send_codec(PurpleMediaBackend *self,
@@ -253,7 +253,7 @@
  *
  * Sets the encryption parameters of our media in the session.
  *
- * Since: 2.11.0
+ * Since: 2.11
  */
 PURPLE_AVAILABLE_IN_2_11
 gboolean purple_media_backend_set_encryption_parameters(PurpleMediaBackend *self,
@@ -274,7 +274,7 @@
  *
  * Sets the decryption parameters for a session participant's media.
  *
- * Since: 2.11.0
+ * Since: 2.11
  */
 PURPLE_AVAILABLE_IN_2_11
 gboolean purple_media_backend_set_decryption_parameters(PurpleMediaBackend *self,
@@ -291,7 +291,7 @@
  *
  * Sets whether a session participant's media requires encryption.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 PURPLE_AVAILABLE_IN_2_14
 gboolean purple_media_backend_set_require_encryption(PurpleMediaBackend *self,
@@ -306,7 +306,7 @@
  *
  * Sets various optional parameters of the media backend.
  *
- * Since: 2.8.0
+ * Since: 2.8
  */
 PURPLE_AVAILABLE_IN_2_8
 void purple_media_backend_set_params(PurpleMediaBackend *self,
@@ -322,7 +322,7 @@
  * Returns: (transfer none): NULL-terminated array of names of supported
  *          parameters.
  *
- * Since: 2.8.0
+ * Since: 2.8
  */
 PURPLE_AVAILABLE_IN_2_8
 const gchar **purple_media_backend_get_available_params(PurpleMediaBackend *self);
@@ -338,7 +338,7 @@
  *
  * Returns: True if set successfully, otherwise False.
  *
- * Since: 2.11.0
+ * Since: 2.11
  */
 PURPLE_AVAILABLE_IN_2_11
 gboolean purple_media_backend_set_send_rtcp_mux(PurpleMediaBackend *self,
